ICC C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.IArbitraryVector Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IArbitraryVector:

## Public Member Functions
float[] | GetVectorValues (EChannel channel)
| Returns list of vector values
void | SetVectorValues (EChannel channel, float[] values, int startIndex=0)
| Sets list of vector values
EICC4cPwmUnitType | GetUnitType (EChannel channel)
| Returns vector unit type.
void | SetUnitType (EChannel channel, EICC4cPwmUnitType unit)
| Sets vector unit type.
bool | IsRunning (EChannel channel)
| Returns status of signal generator (running, stopped).
void | SwitchArbitraryVector (EChannel channel, bool running)
| Sets status of signal generator (running, stopped).
float | GetSampleRate (EChannel channel)
| Returns sample rate in Hz.
void | SetSampleRate (EChannel channel, float value)
| Sets sample rate in Hz.
float | GetMinimumSamplingRate (EChannel channel)
| Returns minimum sampling rate in Hz.
float | GetMaximumSamplingRate (EChannel channel)
| Returns maximum sampling rate in Hz.
int | GetCycles (EChannel channel)
| Returns Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.
void | SetCycles (EChannel channel, int cycles)
| Sets Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.
EExternalTriggerType | GetExternalTrigger (EChannel channel)
| Returns flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.
void | SetExternalTrigger (EChannel channel, EExternalTriggerType triggerType)
| Sets flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.
void | SetExternalTriggerDivider (EChannel channel, int divider)
| Sets divider for trigger signal. Default 1.
int | GetExternalTriggerDivider (EChannel channel)
| Gets divider for trigger signal. Default 1.
void | SetExternalTriggerOffset (EChannel channel, int divider)
| Sets offset for trigger signal (value must be less than divider value).
int | GetExternalTriggerOffset (EChannel channel)
| Gets offset for trigger signal (value must be less than divider value)
void | SetExternalTriggerGpio (EChannel channel, EExternalTriggerGpiox enabled)
| Sets GPIO for trigger signal.
EExternalTriggerGpiox | GetExternalTriggerGpio (EChannel channel)
| Gets GPIO for trigger signal.

## Member Function Documentation

## ◆ GetCycles()

int ICC4cPwmSdk.Device.IArbitraryVector.GetCycles | ( | EChannel | channel | ) |

Returns Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.

Returns

## ◆ GetExternalTrigger()

EExternalTriggerType ICC4cPwmSdk.Device.IArbitraryVector.GetExternalTrigger | ( | EChannel | channel | ) |

Returns flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.

Returns

## ◆ GetExternalTriggerDivider()

int ICC4cPwmSdk.Device.IArbitraryVector.GetExternalTriggerDivider | ( | EChannel | channel | ) |

Gets divider for trigger signal. Default 1.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetExternalTriggerGpio()

EExternalTriggerGpiox ICC4cPwmSdk.Device.IArbitraryVector.GetExternalTriggerGpio | ( | EChannel | channel | ) |

Gets GPIO for trigger signal.

Returns
  ExternalTriggerGpiox

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetExternalTriggerOffset()

int ICC4cPwmSdk.Device.IArbitraryVector.GetExternalTriggerOffset | ( | EChannel | channel | ) |

Gets offset for trigger signal (value must be less than divider value)

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetMaximumSamplingRate()

float ICC4cPwmSdk.Device.IArbitraryVector.GetMaximumSamplingRate | ( | EChannel | channel | ) |

Returns maximum sampling rate in Hz.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetMinimumSamplingRate()

float ICC4cPwmSdk.Device.IArbitraryVector.GetMinimumSamplingRate | ( | EChannel | channel | ) |

Returns minimum sampling rate in Hz.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetSampleRate()

float ICC4cPwmSdk.Device.IArbitraryVector.GetSampleRate | ( | EChannel | channel | ) |

Returns sample rate in Hz.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetUnitType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.IArbitraryVector.GetUnitType | ( | EChannel | channel | ) |

Returns vector unit type.

Returns

## ◆ GetVectorValues()

float[] ICC4cPwmSdk.Device.IArbitraryVector.GetVectorValues | ( | EChannel | channel | ) |

Returns list of vector values

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ IsRunning()

bool ICC4cPwmSdk.Device.IArbitraryVector.IsRunning | ( | EChannel | channel | ) |

Returns status of signal generator (running, stopped).

Returns

## ◆ SetCycles()

void ICC4cPwmSdk.Device.IArbitraryVector.SetCycles | ( | EChannel | channel,
|  | int | cycles )

Sets Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.

Returns

## ◆ SetExternalTrigger()

void ICC4cPwmSdk.Device.IArbitraryVector.SetExternalTrigger | ( | EChannel | channel,
|  | EExternalTriggerType | triggerType )

Sets flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.

Returns

## ◆ SetExternalTriggerDivider()

void ICC4cPwmSdk.Device.IArbitraryVector.SetExternalTriggerDivider | ( | EChannel | channel,
|  | int | divider )

Sets divider for trigger signal. Default 1.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetExternalTriggerGpio()

void ICC4cPwmSdk.Device.IArbitraryVector.SetExternalTriggerGpio | ( | EChannel | channel,
|  | EExternalTriggerGpiox | enabled )

Sets GPIO for trigger signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetExternalTriggerOffset()

void ICC4cPwmSdk.Device.IArbitraryVector.SetExternalTriggerOffset | ( | EChannel | channel,
|  | int | divider )

Sets offset for trigger signal (value must be less than divider value).

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetSampleRate()

void ICC4cPwmSdk.Device.IArbitraryVector.SetSampleRate | ( | EChannel | channel,
|  | float | value )

Sets sample rate in Hz.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetUnitType()

void ICC4cPwmSdk.Device.IArbitraryVector.SetUnitType | ( | EChannel | channel,
|  | EICC4cPwmUnitType | unit )

Sets vector unit type.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetVectorValues()

void ICC4cPwmSdk.Device.IArbitraryVector.SetVectorValues | ( | EChannel | channel,
|  | float[] | values,
|  | int | startIndex = 0 )

Sets list of vector values

Parameters

  channel | channel
  values | List of vector values
  startIndex |

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SwitchArbitraryVector()

void ICC4cPwmSdk.Device.IArbitraryVector.SwitchArbitraryVector | ( | EChannel | channel,
|  | bool | running )

Sets status of signal generator (running, stopped).

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- ICC4cPwmSdkDeviceController.cs